//*********************************************//
//                 e-Bot (4x4)                 //
//           SOCCER_BOT_BT CONTROLLED          //
//                                             //
//   This demo program will  controll the bot  //
//      using android phone via bluetooth.     //
//                                             //
//                Codes by:                    //
//        e-Gizmo Mechatronix Central          //
//         Taft, Manila, Philippines           //
//           http://www.egizmo.com             //
//                JUNE 7,2018                  //
//*********************************************//

// INITIALIZATION:

#include "eGizmo_PBOT2018.h"
#include <Wire.h>


eGizmo_PBOT2018 PBOT;
int BUZZER = 12;
int SPEED = 250;
byte INPUT_FROM_ANDROID_APP;


// INPUTS AND OUTPUTS
void setup()
{
  Serial.begin(9600); 
  Wire.begin();
  PBOT.BEGIN();
  pinMode(BUZZER, OUTPUT);
  PBOT.SERVO(1, 15);

}

// MAIN PROGRAM
void loop() {
  if (Serial.available() > 0) {
    INPUT_FROM_ANDROID_APP = Serial.read();
    Serial.println(INPUT_FROM_ANDROID_APP);
  }
  if (INPUT_FROM_ANDROID_APP==11){
    FORWARD();
  }
  if (INPUT_FROM_ANDROID_APP==12){
    BACKWARD ();
  }
  if (INPUT_FROM_ANDROID_APP==13){
    SPIN_LEFT();
  }
  if (INPUT_FROM_ANDROID_APP==14){
    SPIN_RIGHT();
  }
  if (INPUT_FROM_ANDROID_APP==0){
    STOP ();
  }
  if (INPUT_FROM_ANDROID_APP==17){
    PBOT.SERVO(1,95);
    delay(15);
  }
  if (INPUT_FROM_ANDROID_APP==18){
    
   PBOT.SERVO(1,15);
    delay(15);
  }
  if (INPUT_FROM_ANDROID_APP==15){
    digitalWrite(BUZZER,HIGH);
  }
  if (INPUT_FROM_ANDROID_APP==16){
    digitalWrite(BUZZER,LOW);
  }
}

// PRERSET FUNCTIONS
void FORWARD()
{
  //Move Forward
  PBOT.DIRECTION(MOTOR_BOTH, MOTOR_FWD);
  PBOT.SPEED(MOTOR_BOTH, SPEED);
  delay(100);
}   
void BACKWARD()
{
  //Reverse
  PBOT.DIRECTION(MOTOR_BOTH, MOTOR_REV);
  PBOT.SPEED(MOTOR_BOTH, SPEED);
  delay(100);
}
void SPIN_LEFT()
{
  //Extreme Left
  PBOT.DIRECTION(MOTOR_A,MOTOR_REV);
  PBOT.DIRECTION(MOTOR_B,MOTOR_FWD);
  PBOT.SPEED(MOTOR_BOTH, SPEED);
  delay(100);
}
void SPIN_RIGHT()
{
  //Extreme Right
  PBOT.DIRECTION(MOTOR_A, MOTOR_FWD);
  PBOT.DIRECTION(MOTOR_B, MOTOR_REV);
  PBOT.SPEED(MOTOR_BOTH, SPEED);
  delay(100);
}
void STOP()
{

PBOT.SPEED(MOTOR_BOTH, 0);
}
void KICK()
{

  PBOT.SERVO(1,15);
  delay(15);
  PBOT.SERVO(1,95); 
}  
 // PROGRAM ENDS AND LOOP BACK FOREVER                                                                                                                                                   // PARZ







